Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.framework
Class EPPGenHandler

    java.lang.Object
      com.verisign.epp.framework.EPPGenHandler

All Implemented Interfaces:
  EPPEventHandler

Direct Known Subclasses:
  GenHandler

    public abstract class EPPGenHandler

extends java.lang.Object
implements EPPEventHandler

The `EPPGenHandler` class provides an interface for handling General EPP Commands in a Server implementation. EPPEvents are handled by the handleEvent() method here and routed to the appropriate abstract member function. Subclasses should override the abstract methods to define the desired behavior of a particular command when it is received. A subclassed instance of `EPPGenHandler` should be registered with the `EPPDispatcher` so that EEPEvents related to the General EPP Mapping will be handled there.

Version:
  $Revision: 1.3 $
Author:
  $Author: jim $
See Also:
  `EPPEventHandler`, `EPPEvent`

Constructor Summary
`EPPGenHandler()` Construct an instance of `EPPGenHandler`

Method Summary
`protected abstract EPPEventResponse` | `doHello(EPPEvent aEvent, java.lang.Object aData)` Invoked when an EPP Hello command is received.
`protected abstract EPPEventResponse` | `doLogin(EPPEvent aEvent, java.lang.Object aData)` Invoked when an EPP Login command is received.
`protected abstract EPPEventResponse` | `doLogout(EPPEvent aEvent, java.lang.Object aData)` Invoked when an EPP Logout command is received.
`protected abstract EPPEventResponse` | `doPoll(EPPEvent aEvent, java.lang.Object aData)` Invoked when an EPP Poll command is received.
`java.lang.String` | `getNamespace()` Returns the Namespace that this handler supports.
`EPPEventResponse` | `handleEvent(EPPEvent aEvent, java.lang.Object aData)` This method receives an `EPPEvent` and routes it to the appropriate abstract method.
`protected void` | `postHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all gen commands need to execute after they execute their command specific behavior.
`protected void` | `preHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all gen commands need to execute before they execute their command specific behavior.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EPPGenHandler

    public EPPGenHandler()

  Construct an instance of `EPPGenHandler`

Method Detail

### getNamespace

    public final java.lang.String getNamespace()

  Returns the Namespace that this handler supports. In this case, domain.

  Specified by:
    `getNamespace` in interface `EPPEventHandler`
  Returns:
    String The Namespace that this handler supports

### handleEvent

    public final EPPEventResponse handleEvent(EPPEvent aEvent,
                                              java.lang.Object aData)
                                       throws EPPEventException

  This method receives an `EPPEvent` and routes it to the appropriate abstract method.

  Specified by:
    `handleEvent` in interface `EPPEventHandler`
  Parameters:
    `aEvent` - An `EPPEvent` that contains the `EPPCommand`
    `aData` - Any data that a Server needs to send to this `EPPContactHandler` instance
  Returns:
    DOCUMENT ME!
  Throws:
    `EPPEventException` - Thrown if an unrecognized `EPPEvent` is received

### preHandleEvent

    protected void preHandleEvent(EPPEvent aEvent,
                                  java.lang.Object aData)
                           throws EPPHandleEventException

  Handles any common behavior that all gen commands need to execute before they execute their command specific behavior. The default implementation does nothing.

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomainHandler`
  Throws:
    `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

### postHandleEvent

    protected void postHandleEvent(EPPEvent aEvent,
                                   java.lang.Object aData)
                            throws EPPHandleEventException

  Handles any common behavior that all gen commands need to execute after they execute their command specific behavior. The default implementation does nothing

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomainHandler`
  Throws:
    `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

### doLogin

    protected abstract EPPEventResponse doLogin(EPPEvent aEvent,
                                                java.lang.Object aData)

  Invoked when an EPP Login command is received. Subclasses should define the behavior when a Login command is received.

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomainHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doLogout

    protected abstract EPPEventResponse doLogout(EPPEvent aEvent,
                                                 java.lang.Object aData)

  Invoked when an EPP Logout command is received. Subclasses should define the behavior when a Logout command is received.

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomainHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doPoll

    protected abstract EPPEventResponse doPoll(EPPEvent aEvent,
                                               java.lang.Object aData)

  Invoked when an EPP Poll command is received. Subclasses should define the behavior when a Poll command is received.

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomainHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doHello

    protected abstract EPPEventResponse doHello(EPPEvent aEvent,
                                                java.lang.Object aData)

  Invoked when an EPP Hello command is received. Subclasses should define the behavior when a Hello command is received.

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomainHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.